package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.Resource;
import com.ekexiu.console.system.pojo.ResourceInfo;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.Column;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.PageQuery;
import org.jfw.apt.orm.annotation.dao.method.operator.QueryVal;
import org.jfw.apt.orm.annotation.dao.param.*;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2017/7/26.
 */
@DAO
public interface ResourceDao {
    @Nullable
    @QueryVal
    @Column(handlerClass = StringHandler.class, value = "resource_name")
    @From(Resource.class)
    String queryById(Connection con, String resourceId) throws SQLException;

    @PageQuery
    @OrderBy(" ORDER BY publish_time DESC NULLS LAST")
    @Where("status='1'")
    PageQueryResult<ResourceInfo> queryByTime(Connection con, @Nullable @Like String resourceName, @SqlColumn(value = {"(p.name is null or p.name like ?)", "(o.name is null or o.name like ?)"}, handlerClass = StringHandler.class) String name, @Nullable @GtEq @Alias("publishTime") String bt, @Nullable @Alias("publishTime") @LtEq String et, int pageSize, int pageNo) throws SQLException;

    @PageQuery
    @OrderBy(" ORDER BY page_views DESC NULLS LAST")
    @Where("status='1'")
    PageQueryResult<ResourceInfo> queryByPV(Connection con, @Nullable @Like String resourceName,@SqlColumn(value = {"(p.name is null or p.name like ?)", "(o.name is null or o.name like ?)"}, handlerClass = StringHandler.class) String name, @Nullable @GtEq @Alias("publishTime") String bt, @Nullable @Alias("publishTime") @LtEq String et, int pageSize, int pageNo) throws SQLException;
}
