-- ----------------------------
-- Table structure for user_info
-- ----------------------------
CREATE TABLE public.user_info (
  id CHARACTER(32) PRIMARY KEY NOT NULL,
  org_name TEXT, -- 机构名称
  state TEXT NOT NULL, -- 审核状态(1-未提交，2-待审核，3-审核通过，4-审核失败)
  name TEXT NOT NULL, -- 姓名
  create_time TEXT NOT NULL, -- 创建时间
  cnt TEXT NOT NULL, -- 详细信息
  creator CHARACTER(32) NOT NULL, -- 创建人ID
  creator_name TEXT, -- 创建人姓名
  mobile TEXT, -- 注册手机
  email TEXT -- 注册邮箱
);
COMMENT ON COLUMN public.user_info.org_name IS '机构名称';
COMMENT ON COLUMN public.user_info.state IS '审核状态(1-未提交，2-待审核，3-审核通过，4-审核失败)';
COMMENT ON COLUMN public.user_info.name IS '姓名';
COMMENT ON COLUMN public.user_info.create_time IS '创建时间';
COMMENT ON COLUMN public.user_info.cnt IS '详细信息';
COMMENT ON COLUMN public.user_info.creator IS '创建人ID';
COMMENT ON COLUMN public.user_info.creator_name IS '创建人姓名';
COMMENT ON COLUMN public.user_info.mobile IS '注册手机';
COMMENT ON COLUMN public.user_info.email IS '注册邮箱';

-- ----------------------------
-- Uniques structure for table user_info
-- ----------------------------
ALTER TABLE USER_INFO ADD PRIMARY KEY (ID);

-----begin version 1.9------------------------
-- ----------------------------
-- Table structure for org_record
-- ----------------------------
CREATE TABLE public.org_record (
  id CHARACTER(32) PRIMARY KEY NOT NULL,
  creator CHARACTER(32), -- 创建人ID
  modifier CHARACTER(32), -- 修改人
  create_time CHARACTER(14), -- 创建时间
  modify_time CHARACTER(14) -- 修改时间
);
COMMENT ON COLUMN public.org_record.creator IS '创建人ID';
COMMENT ON COLUMN public.org_record.modifier IS '修改人ID';
COMMENT ON COLUMN public.org_record.create_time IS '创建时间';
COMMENT ON COLUMN public.org_record.modify_time IS '修改时间';



ALTER TABLE feedback ADD COLUMN operator  CHAR(32);
COMMENT ON COLUMN feedback.operator IS '处理人ID';
ALTER TABLE feedback ADD COLUMN operate_time  TEXT;
COMMENT ON COLUMN feedback.operate_time IS '处理时间';
ALTER TABLE feedback ADD COLUMN operate_descp TEXT;
COMMENT ON COLUMN feedback.operate_descp IS '处理备注';

-----begin version 1.9.1------------------------

ALTER TABLE article ADD COLUMN sort_num  int8 default 0 not null;
COMMENT ON COLUMN article.sort_num IS '排序字段，人工权重';